Loading...
Searching...
No Matches
TCP transport socket
Transport sockets

## Data Structures

struct | tr_tcp_config

## Functions

int | tr_tcp_init (const struct tr_tcp_config *config, struct tr_socket *socket)

## Detailed Description

## Function Documentation

## tr_tcp_init()

int tr_tcp_init | ( | const struct tr_tcp_config * | config,
|  | struct tr_socket * | socket )

Initializes the tr_socket struct for a TCP connection.

Parameters

  [in] | config | TCP configuration for the connection.
  [out] | socket | Initialized transport socket.

Returns
  TR_SUCCESS On success.
  TR_ERROR On error.

Examples
  rtr_mgr.c.